This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 845406 - [abrt] gphotoframe-1.5.1-1.fc17: gtkimage.py:162:get_scale:ZeroDivisionError: division by zero
[abrt] gphotoframe-1.5.1-1.fc17: gtkimage.py:162:get_scale:ZeroDivisionError:...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gphotoframe (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:2a7a7eddbca669110654c18c0a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 21:20 EDT by javier del cristo
Modified: 2012-08-11 05:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-11 05:38:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description javier del cristo 2012-08-02 21:20:46 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/gphotoframe
executable:     /usr/bin/gphotoframe
kernel:         3.5.0-2.fc17.x86_64
time:           jue 02 ago 2012 22:20:09 BRT
uid:            1000
username:       javierdelcristo

backtrace:
:gtkimage.py:162:get_scale:ZeroDivisionError: division by zero
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/gphotoframe/liststore.py", line 81, in _start_timer
:    updated = self._change_photo()
:  File "/usr/lib/python2.7/site-packages/gphotoframe/liststore.py", line 104, in _change_photo
:    target().get_photo(self._show_photo_cb)
:  File "/usr/lib/python2.7/site-packages/gphotoframe/plugins/folder.py", line 47, in get_photo
:    cb(None, self.photo)
:  File "/usr/lib/python2.7/site-packages/gphotoframe/liststore.py", line 116, in _show_photo_cb
:    elif self.photoframe.set_photo(photo):
:  File "/usr/lib/python2.7/site-packages/gphotoframe/frame.py", line 70, in set_photo
:    if not self.photoimage.set_photo(photo): return False
:  File "/usr/lib/python2.7/site-packages/gphotoframe/image/gtkimage.py", line 28, in set_photo
:    if self.pixbuf.set(self.photo) is False:
:  File "/usr/lib/python2.7/site-packages/gphotoframe/image/gtkimage.py", line 103, in set
:    self.max_w, self.max_h, rotation)
:  File "/usr/lib/python2.7/site-packages/gphotoframe/image/gtkimage.py", line 162, in get_scale
:    ratio = max_h / src_h
:ZeroDivisionError: division by zero
:
:Local variables in innermost frame:
:src_h: 0
:self: <gphotoframe.image.gtkimage.PhotoImagePixbuf object at 0x219b610>
:max_h: 300
:max_w: 400
:src_w: 0
:rotation: 0

smolt_data:
:
:
:General
:=================================
:UUID: 612b7681-aa0e-4366-8b5c-11889d39b970
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_CO.utf8
:Plataforma: x86_64
:BogoMIPS: 4256.25
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM) i3 CPU       M 330  @ 2.13GHz
:Paso del UCP: 2
:Familia de UCP: 6
:Número de Modelo de CPU: 37
:Número de CPUs: 4
:Velocidad del CPU: 2133
:Memoria del Sistema: 3818
:Intercambio (swap) del Sistema: 5855
:Vendedor: Dell Inc.
:Sistema: Inspiron 1564 A13
:Factor de forma: Portable
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1076) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1076) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(5348:17173:4136:12) pci, wl, NETWORK, Wireless 1397 WLAN Mini-Card
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1076) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4136:1076) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4136:1076) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(4098:38226:4136:1076) pci, radeon, VIDEO, M92 LP [Mobility Radeon HD 4300 Series]
:(4098:43576:4136:1076) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(32902:15164:4136:1076) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4136:1076) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4136:1076) pci, mei, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15170:4136:1076) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1076) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4136:1076) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4136:1076) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15180:4136:1076) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(4332:33078:4136:1076) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_javierdelcristo-lv_root / ext4 4096 4096 13081025 7332961 6677601 3276800 2698725 2698725
:/dev/sda2 /boot ext4 1024 1024 508644 398825 373225 128016 127665 127665
:/dev/mapper/vg_javierdelcristo-lv_home /home ext4 4096 4096 63328511 54673886 51503582 15851520 15834294 15834294
:
Comment 1 Mamoru TASAKA 2012-08-02 22:25:21 EDT
I would want to ask you some questions

* How did this issue occur? Are there any procedure you can reproduce this issue?
* Are there some (image) files which reproduces this issue? If so please attach the file to this ticket, or send me the file privately (if you don't want to).
Comment 2 Mamoru TASAKA 2012-08-02 22:51:01 EDT
And:
* may be the contents under ~/.gconf/apps/gphotoframe is needed. Please attach them.
Comment 3 Mamoru TASAKA 2012-08-11 05:38:40 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.